aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-02-09 20:02:50 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-09 20:02:50 +0000
commit25e6d7add6791e5e290f0b32d79d813fa2d3b46d (patch)
treefe7afc193435d0a4228504fe2b04b93c130e2678
parent36af8f2b9d6a2efda073a4d58e21aa2a8deae330 (diff)
downloadaports-25e6d7add6791e5e290f0b32d79d813fa2d3b46d.tar.gz
aports-25e6d7add6791e5e290f0b32d79d813fa2d3b46d.tar.bz2
aports-25e6d7add6791e5e290f0b32d79d813fa2d3b46d.tar.xz
extra/gnupg: new aport
GNU Privacy Guard 2 - a PGP replacement tool http://www.gnupg.org/
-rw-r--r--extra/gnupg/APKBUILD21
1 files changed, 21 insertions, 0 deletions
diff --git a/extra/gnupg/APKBUILD b/extra/gnupg/APKBUILD
new file mode 100644
index 0000000000..fa1387b7db
--- /dev/null
+++ b/extra/gnupg/APKBUILD
@@ -0,0 +1,21 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gnupg
+pkgver=2.0.10
+pkgrel=0
+pkgdesc="GNU Privacy Guard 2 - a PGP replacement tool"
+url="http://www.gnupg.org/"
+license="GPL"
+depends="curl zlib libksba libgcrypt libgpg-error pth pinentry libiconv"
+makedepends="curl-dev libassuan libksba-dev libgcrypt-dev libgpg-error-dev
+ pth-dev zlib-dev libiconv-dev"
+subpackages="$pkgname-doc"
+source="ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-$pkgver.tar.bz2"
+
+build () {
+ cd "$srcdir/$pkgname-$pkgver"
+ ./configure --prefix=/usr \
+ --disable-nls
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
+md5sums="1cb778dd555f87685a8fde2f7113725e gnupg-2.0.10.tar.bz2"